Incompatibilité entre Nextgen galery et Yoast SEO

Aujourd’hui je me suis aperçu que je ne pouvais ajouter de nouvelles galeries Nextgen (avec classic éditor) dans un article ou une page sur plusieurs site wordpress.

Au lieu de l’affichage de la galerie dans un post, j’obtiens ceci :

Et dans l’éditeur de texte, plutôt que d’avoir un shortcode comme cela :

[[ngg src= »galleries » ids= »4″ display= »basic_thumbnail » thumbnail_crop= »0″]]

j’ai ceci :

<div class= »mceItem mceNonEditable nggPlaceholder »
id= »1596795109970″
data-shortcode= »ngg src=&quot;galleries&quot; ids=&quot;2&quot; display=&quot;basic_thumbnail&quot; thumbnail_crop=&quot;0&quot; »
data-mce-resize= »false »
data-mce-placeholder= »1″
contenteditable= »false »>
<h3>NextGEN Gallery</h3>
<div class= »nggPlaceholderButton nggIgwEdit »>
Modifier
</div>
<div class= »nggPlaceholderButton nggIgwRemove »>
Effacer
</div>
</div>

En désactivant les plugins, j’ai trouvé le coupable : Yoast SEO que j’ai remplacé par Rank Math, qui présente plus de possibilités et que j’avais déjà mis sur un autre site, cela a accéléré son adoption.

Probablement que Yoast SEO va corriger le problème, mais ma solution est plus rapide.

Dites moi dans un commentaire si cela vous a aidé.

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *

Ce site utilise Akismet pour réduire les indésirables. En savoir plus sur comment les données de vos commentaires sont utilisées.